Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishIOBundle\Migration\FileListerRegistry\ConfigurableRegistry Class Reference

A registry of FileListerInterfaces which is configurable via the array passed to its constructor. More...

Inheritance diagram for eZ\Bundle\EzPublishIOBundle\Migration\FileListerRegistry\ConfigurableRegistry:

## Public Member Functions
| __construct (array $items=[])
| getItem ($identifier)
| Returns the FileListerInterface matching the argument. More...
| getIdentifiers ()
| Returns the identifiers of all registered FileListerInterfaces. More...

## Private Attributes
| $registry = []

## Detailed Description

A registry of FileListerInterfaces which is configurable via the array passed to its constructor.

Definition at line 15 of file ConfigurableRegistry.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishIOBundle\Migration\FileListerRegistry\ConfigurableRegistry::__construct | ( | array | $items = `[]` | ) |

Parameters

  \eZ\Bundle\EzPublishIOBundle\Migration\FileListerInterface[] | $items | Hash of FileListerInterfaces, with identifier string as key.

Definition at line 23 of file ConfigurableRegistry.php.

## Member Function Documentation

## ◆ getIdentifiers()

eZ\Bundle\EzPublishIOBundle\Migration\FileListerRegistry\ConfigurableRegistry::getIdentifiers | ( |  | ) |

Returns the identifiers of all registered FileListerInterfaces.

Returns
  string[] Array of identifier strings.

Implements eZ\Bundle\EzPublishIOBundle\Migration\FileListerRegistry.

Definition at line 51 of file ConfigurableRegistry.php.

## ◆ getItem()

eZ\Bundle\EzPublishIOBundle\Migration\FileListerRegistry\ConfigurableRegistry::getItem | ( |  | $identifier | ) |

Returns the FileListerInterface matching the argument.

Parameters

  string | $identifier | An identifier string.

Exceptions

Implements eZ\Bundle\EzPublishIOBundle\Migration\FileListerRegistry.

Definition at line 37 of file ConfigurableRegistry.php.

## Member Data Documentation

## ◆ $registry

eZ\Bundle\EzPublishIOBundle\Migration\FileListerRegistry\ConfigurableRegistry::$registry = []
| private

Definition at line 18 of file ConfigurableRegistry.php.

The documentation for this class was generated from the following file:

- ConfigurableRegistry.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.